Generate Auth Token

API Explorer
loading...
POST
/v1/authenticate-token

Use this endpoint to generate a new token-based access token using your API Key, Secret Key, and Scope. Refer to the iPOSpays Authentication Token API to learn how to generate the API Key and Secret Key.

Header Parameters

apiKey*string

The apiKey can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.

secretKey*string

The secret key can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/authenticate-token" \  -H "apiKey: your_api_key_here" \  -H "secretKey: your_secret_key_here" \  -H "Content-Type: application/json" \  -d '{    "TokenExpiryMinutes": 1000  }'
{
  "responseCode": "00",
  "responseMessage": "Success",
  "createdDt": "1749532846158",
  "token": "eyJhbGciOiJSUzI1NiJ9.eyJzY29wZSI6InBheW1lbnRUb2tlbml6ZSIsInVuaXF1ZUlkIjoiNzQxYzFiM2YtMTUyYS0xMWYwLWI3YTMtMTZhOTc1NjBiMjc1IiwiaWF0IjoxNzQ4ODA3NzAyLCJleHAiOjE3NDQ4OTQxMDJ9..."
}

{
  "errorCode": "AUTH_ERR_001",
  "errorMessage": "API Key is required."
}

{
  "errorCode": "AUTH_ERR_004",
  "errorMessage": "Invalid Credentials, Please Contact Support Team."
}